'use strict';

const config = {
    buildversion: '2.2',
    license: {
        file: '',
        url: '',
        templicensefolder: ''           //remember to use \\ on Windows and / on Unix
    },
    logger: {
        nodejs: {
            path: 'log'                 //remember to use \\ on Windows and / on Unix
        },
        native: {
            path: 'log',                //remember to use \\ on Windows and / on Unix
            filename: 'native.log'
        },
        printer: {
            path: 'log',
            filename: 'printer.log+'
        }
    },
    remoteconfig: {
        active: false,
        //reads configuration from remote server, sample response can be: 
        //{ "connection": { "type": "rs232", "rs232": { "params": "COM12,9600,8,N,1,H" } }, "token": { "secret": "mysupermaxisecretphase" } }
        url: 'http://bigdotsoftware.pl/posnetserver/config_response.json'
    },
    posnet: {
        connection: {
            type: 'rs232',                      //rs232, eth, tunnel
            rs232: {
                //params: 'COM15,9600,8,N,1,N'          //Emulator (Windows)
                //params: 'COM10,9600,8,N,1,H'          //Fizyczna drukarka (Windows)
                //params: '/dev/ttyS0,9600,8,N,1,N'     //Emulator drukarka (Unix)
                //params: '/dev/ttyS2,9600,8,N,1,H'     //Fizyczna drukarka (Unix)
                params: '/dev/ttyS0,9600,8,N,1,N'
            },
            eth: {
                ip: '10.10.10.10',
                port: '1024'
            },
            tunnel: {   //przekierowuje request do innego serwisu
                url: 'http://localhost:3040'
            }
        }
    },
    throttling: {
        privileged: {
            ip: ['::ffff:127.0.0.1']
        }
    },
    token: {    //serwis uwierzytelniajacy 
        active: false,
        secret: 'mysupermaxisecretphase',
        authservice: {
            url: 'http://bigdotsoftware.pl/posnetserver/authservice_response.json'
        }
    },
    heartbeat: {
        allowed: [
            '::ffff:127.0.0.1'
        ]
    },
    server: {
        http: {
            port : 3050
        },
        https: {
            port: 3051,
            sslcertificates: {
                key: './cert/server.key',
                crt: './cert/server.crt'
            }
        }
    }
};

module.exports = config;
